Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JREmptyDataSource

    java.lang.Object
      net.sf.jasperreports.engine.JREmptyDataSource

All Implemented Interfaces:
  JRDataSource, JRRewindableDataSource

    public class JREmptyDataSource

extends java.lang.Object
implements JRRewindableDataSource

A simple data source implementation that simulates a data source with a given number of virtual records inside. It is called empty data source because even though it has one or more records inside, all the report fields are null for all the virtual records of the data source.

Version:
  $Id: JREmptyDataSource.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`JREmptyDataSource()`
`JREmptyDataSource(int count)`

Method Summary
`java.lang.Object` | `getFieldValue(JRField field)` Gets the field value for the current position.
`void` | `moveFirst()` Moves back to the first element in the data source.
`boolean` | `next()` Tries to position the cursor on the next element in the data source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JREmptyDataSource

    public JREmptyDataSource()

### JREmptyDataSource

    public JREmptyDataSource(int count)

Method Detail

### next

    public boolean next()

  Description copied from interface: `JRDataSource`
  Tries to position the cursor on the next element in the data source.

  Specified by:
    `next` in interface `JRDataSource`
  Returns:
    true if there is a next record, false otherwise

### getFieldValue

    public java.lang.Object getFieldValue(JRField field)

  Description copied from interface: `JRDataSource`
  Gets the field value for the current position.

  Specified by:
    `getFieldValue` in interface `JRDataSource`
  Returns:
    an object containing the field value. The object type must be the field object type.

### moveFirst

    public void moveFirst()

  Description copied from interface: `JRRewindableDataSource`
  Moves back to the first element in the data source.

  Specified by:
    `moveFirst` in interface `JRRewindableDataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com